$NetBSD$

--- libs/xmlrpc-c/lib/abyss/src/channel.c.orig	2016-09-08 23:57:26.332802501 +0000
+++ libs/xmlrpc-c/lib/abyss/src/channel.c
@@ -102,7 +102,7 @@ ChannelCreate(const struct TChannelVtbl
         *channelPP = channelP;
 
         if (ChannelTraceIsActive)
-            fprintf(stderr, "Created channel %p\n", channelP);
+            fprintf(stderr, "Created channel %p\n", (void *)channelP);
     }
 }
 
@@ -112,7 +112,7 @@ void
 ChannelDestroy(TChannel * const channelP) {
 
     if (ChannelTraceIsActive)
-        fprintf(stderr, "Destroying channel %p\n", channelP);
+        fprintf(stderr, "Destroying channel %p\n", (void *)channelP);
 
     assert(channelP->signature == channelSignature);
 
@@ -132,7 +132,7 @@ ChannelWrite(TChannel *            const
              bool *                const failedP) {
 
     if (ChannelTraceIsActive)
-        fprintf(stderr, "Writing %u bytes to channel %p\n", len, channelP);
+        fprintf(stderr, "Writing %u bytes to channel %p\n", len, (void *)channelP);
 
     (*channelP->vtbl.write)(channelP, buffer, len, failedP);
 }
@@ -147,7 +147,7 @@ ChannelRead(TChannel *      const channe
             bool *          const failedP) {
     
     if (ChannelTraceIsActive)
-        fprintf(stderr, "Reading %u bytes from channel %p\n", len, channelP);
+        fprintf(stderr, "Reading %u bytes from channel %p\n", len, (void *)channelP);
 
     (*channelP->vtbl.read)(channelP, buffer, len, bytesReceivedP, failedP);
 }
@@ -166,10 +166,10 @@ ChannelWait(TChannel * const channelP,
     if (ChannelTraceIsActive) {
         if (waitForRead)
             fprintf(stderr, "Waiting %u milliseconds for data from "
-                    "channel %p\n", timems, channelP);
+                    "channel %p\n", timems, (void *)channelP);
         if (waitForWrite)
             fprintf(stderr, "Waiting %u milliseconds for channel %p "
-                    "to be writable\n", timems, channelP);
+                    "to be writable\n", timems, (void *)channelP);
     }
     (*channelP->vtbl.wait)(channelP, waitForRead, waitForWrite, timems,
                            readyToReadP, readyToWriteP, failedP);
